#include <cstdio>

const int MaxN = 3e5 + 35;

int n, m, cntA, cntB, uzeoA, uzeoB, ret;
char s[ MaxN ];

//greedy ideja koja nije tacna
//jedan od primera na kojima pada: abbaaaaaaa

int main()
{
  freopen( "muzej.in", "r", stdin );
  //freopen( "muzej.out", "w", stdout );
  scanf( "%d %d %s", &n, &m, s );
  for ( int i = 0; i < n; i++ ) s[ i ] == 'a' ? cntA++ : cntB++;
  for ( int i = 0; i < m - 1; i++ )
  {
    if ( s[ i ] == 'a' ) cntA--, uzeoA++;
    else cntB--, uzeoB++;
    if ( cntA >= cntB && uzeoA >= uzeoB ) ret++, uzeoA = uzeoB = 0, printf( "%d\n", i );
  }
  printf( "%d\n", ret );
  return 0;
}
